package app

import (
	"encoding/xml"
)

type FeedEntry struct {
	Title       string `xml:"title"`
	Link        string `xml:"link"`
	Author      string `xml:"author"`
	Guid        string `xml:"guid"`
	Description string `xml:"description"`
	Content     string `xml:",innerxml"`
}

func ParseFeed(data []byte) ([]FeedEntry, error) {

	v := struct {
		Items []FeedEntry `xml:"channel>item"`
	}{}

	err := xml.Unmarshal(data, &v)
	if err != nil {
		return nil, err
	}

	return v.Items, nil
}
